/**  版本信息模板在安装目录下，可自行修改。
* T_FaultRepair_OperationLog.cs
*
* 功 能： N/A
* 类 名： T_FaultRepair_OperationLog
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/8/16 16:36:24   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using RMYY_CallCenter_Api.DB;

namespace RMYY_CallCenter_Api.DAL
{
	/// <summary>
	/// 数据访问类:T_FaultRepair_OperationLog
	/// </summary>
	public partial class T_FaultRepair_OperationLog
	{
		public T_FaultRepair_OperationLog()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
		return DbHelperSQL.GetMaxID("F_OperationId", "T_FaultRepair_OperationLog"); 
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_OperationId)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from T_FaultRepair_OperationLog");
			strSql.Append(" where F_OperationId=@F_OperationId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_OperationId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_OperationId;

			return DbHelperSQL.Exists(strSql.ToString(),parameters);
		}


		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(RMYY_CallCenter_Api.Model.T_FaultRepair_OperationLog model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_FaultRepair_OperationLog(");
			strSql.Append("F_WorkOrderCode,F_Operator,F_LogContent,F_OperationType,F_OperationTime,F_UpdateTime,F_Isdelete,  F_AboutReason ,F_AboutKey,F_EnterReason)");
			strSql.Append(" values (");
			strSql.Append("@F_WorkOrderCode,@F_Operator,@F_LogContent,@F_OperationType,@F_OperationTime,@F_UpdateTime,@F_Isdelete,  @F_AboutReason ,@F_AboutKey,@F_EnterReason)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,100),
					new SqlParameter("@F_Operator", SqlDbType.NVarChar,50),
					new SqlParameter("@F_LogContent", SqlDbType.NVarChar,500),
					new SqlParameter("@F_OperationType", SqlDbType.Int,4),
					new SqlParameter("@F_OperationTime", SqlDbType.DateTime),
					new SqlParameter("@F_UpdateTime", SqlDbType.DateTime),
					new SqlParameter("@F_Isdelete", SqlDbType.Int,4),

    
                    new SqlParameter("@F_AboutReason", SqlDbType.NVarChar,50),
                    new SqlParameter("@F_AboutKey", SqlDbType.Int,4),
                    new SqlParameter("@F_EnterReason", SqlDbType.NVarChar,50)
            };
			parameters[0].Value = model.F_WorkOrderCode;
			parameters[1].Value = model.F_Operator;
			parameters[2].Value = model.F_LogContent;
			parameters[3].Value = model.F_OperationType;
			parameters[4].Value = model.F_OperationTime;
			parameters[5].Value = model.F_UpdateTime;
			parameters[6].Value = model.F_Isdelete;

            parameters[7].Value = model.F_AboutReason;
            parameters[8].Value = model.F_AboutKey;
            parameters[9].Value = model.F_EnterReason;
            object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_FaultRepair_OperationLog model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_FaultRepair_OperationLog set ");
			strSql.Append("F_WorkOrderCode=@F_WorkOrderCode,");
			strSql.Append("F_Operator=@F_Operator,");
			strSql.Append("F_LogContent=@F_LogContent,");
			strSql.Append("F_OperationType=@F_OperationType,");
			strSql.Append("F_OperationTime=@F_OperationTime,");
			strSql.Append("F_UpdateTime=@F_UpdateTime,");
			strSql.Append("F_Isdelete=@F_Isdelete");
			strSql.Append(" where F_OperationId=@F_OperationId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,100),
					new SqlParameter("@F_Operator", SqlDbType.NVarChar,50),
					new SqlParameter("@F_LogContent", SqlDbType.NVarChar,500),
					new SqlParameter("@F_OperationType", SqlDbType.Int,4),
					new SqlParameter("@F_OperationTime", SqlDbType.DateTime),
					new SqlParameter("@F_UpdateTime", SqlDbType.DateTime),
					new SqlParameter("@F_Isdelete", SqlDbType.Int,4),
					new SqlParameter("@F_OperationId", SqlDbType.Int,4)};
			parameters[0].Value = model.F_WorkOrderCode;
			parameters[1].Value = model.F_Operator;
			parameters[2].Value = model.F_LogContent;
			parameters[3].Value = model.F_OperationType;
			parameters[4].Value = model.F_OperationTime;
			parameters[5].Value = model.F_UpdateTime;
			parameters[6].Value = model.F_Isdelete;
			parameters[7].Value = model.F_OperationId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_OperationId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_FaultRepair_OperationLog ");
			strSql.Append(" where F_OperationId=@F_OperationId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_OperationId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_OperationId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_OperationIdlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_FaultRepair_OperationLog ");
			strSql.Append(" where F_OperationId in ("+F_OperationIdlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_FaultRepair_OperationLog GetModel(int F_OperationId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_OperationId,F_WorkOrderCode,F_Operator,F_LogContent,F_OperationType,F_OperationTime,F_UpdateTime,F_Isdelete from T_FaultRepair_OperationLog, F_AboutReason ,F_AboutKey,F_EnterReason ");
			strSql.Append(" where F_OperationId=@F_OperationId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_OperationId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_OperationId;

            RMYY_CallCenter_Api.Model.T_FaultRepair_OperationLog model=new RMYY_CallCenter_Api.Model.T_FaultRepair_OperationLog();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_FaultRepair_OperationLog DataRowToModel(DataRow row)
		{
            RMYY_CallCenter_Api.Model.T_FaultRepair_OperationLog model=new RMYY_CallCenter_Api.Model.T_FaultRepair_OperationLog();
			if (row != null)
			{
				if(row["F_OperationId"]!=null && row["F_OperationId"].ToString()!="")
				{
					model.F_OperationId=int.Parse(row["F_OperationId"].ToString());
				}
				if(row["F_WorkOrderCode"]!=null)
				{
					model.F_WorkOrderCode=row["F_WorkOrderCode"].ToString();
				}
				if(row["F_Operator"]!=null)
				{
					model.F_Operator=row["F_Operator"].ToString();
				}
				if(row["F_LogContent"]!=null)
				{
					model.F_LogContent=row["F_LogContent"].ToString();
				}
				if(row["F_OperationType"]!=null && row["F_OperationType"].ToString()!="")
				{
					model.F_OperationType=int.Parse(row["F_OperationType"].ToString());
				}
				if(row["F_OperationTime"]!=null && row["F_OperationTime"].ToString()!="")
				{
					model.F_OperationTime=DateTime.Parse(row["F_OperationTime"].ToString());
				}
				if(row["F_UpdateTime"]!=null && row["F_UpdateTime"].ToString()!="")
				{
					model.F_UpdateTime=DateTime.Parse(row["F_UpdateTime"].ToString());
				}
				if(row["F_Isdelete"]!=null && row["F_Isdelete"].ToString()!="")
                {
                    model.F_Isdelete = int.Parse(row["F_Isdelete"].ToString());
                }
            

                if (row["F_EnterReason"] != null)
                {
                    model.F_EnterReason = row["F_EnterReason"].ToString();
                }
                if (row["F_AboutReason"] != null)
                {
                    model.F_AboutReason = row["F_AboutReason"].ToString();
                }
                if (row["F_AboutKey"] != null && row["F_AboutKey"].ToString() != "")
                {
                    model.F_AboutKey = int.Parse(row["F_AboutKey"].ToString());
                }

            }
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_OperationId,F_WorkOrderCode,F_Operator,F_LogContent,F_OperationType,F_OperationTime,F_UpdateTime,F_Isdelete ,    F_EnterReason,F_AboutReason,F_AboutKey");
			strSql.Append(" FROM T_FaultRepair_OperationLog ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_OperationId,F_WorkOrderCode,F_Operator,F_LogContent,F_OperationType,F_OperationTime,F_UpdateTime,F_Isdelete,    F_EnterReason,F_AboutReason,F_AboutKey ");
			strSql.Append(" FROM T_FaultRepair_OperationLog ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_FaultRepair_OperationLog ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_OperationId desc");
			}
			strSql.Append(")AS Row, T.*  from T_FaultRepair_OperationLog T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_FaultRepair_OperationLog";
			parameters[1].Value = "F_OperationId";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

